#clear a new slot every tick and cycle through
scoreboard players set @s[scores={inventoryCheck=27..}] inventoryCheck 0
scoreboard players add @s inventoryCheck 1

execute if entity @s[scores={inventoryCheck=1..9}] run function sprint_racer:inventory_check/_index_1_9
execute if entity @s[scores={inventoryCheck=10..18}] run function sprint_racer:inventory_check/_index_10_18
execute if entity @s[scores={inventoryCheck=19..27}] run function sprint_racer:inventory_check/_index_19_27




#inventory controls
tag @s remove hasBWool
tag @s remove hasPWool
#tag @s remove hasSign
tag @s remove hasBottle
tag @s remove hasControls
tag @s remove hasClock
tag @s remove hasCompass

tag @s[nbt={Inventory:[{Slot:19b,tag:{Tags:["invControl","invPlay"]},id:"minecraft:light_blue_wool"}]}] add hasBWool
tag @s[nbt={Inventory:[{Slot:20b,tag:{Tags:["invControl","invSpectate"]},id:"minecraft:pink_wool"}]}] add hasPWool
tag @s[nbt={Inventory:[{Slot:22b,tag:{Tags:["invControl","invTimer"]},id:"minecraft:clock"}]}] add hasClock
tag @s[nbt={Inventory:[{Slot:23b,tag:{Tags:["invControl","invNavigator"]},id:"minecraft:compass"}]}] add hasCompass
#tag @s[nbt={Inventory:[{Slot:25b,tag:{Tags:["invControl","invSign"]}}]}] add hasSign
tag @s[nbt={Inventory:[{Slot:25b,tag:{Tags:["invControl","invBottle"]}}]}] add hasBottle

#actions are triggered by removing one object from the inventory, not multiple at the same time which would happen from a /clear
execute if entity @s[tag=!hasBWool,tag=hasPWool] run function sprint_racer:inventory_check/inventory_controls/become_player
execute if entity @s[tag=!hasPWool,tag=hasBWool] run function sprint_racer:inventory_check/inventory_controls/become_spectator
execute if entity @s[tag=!hasClock,tag=hasCompass] run function sprint_racer:inventory_check/inventory_controls/display_timer
execute if entity @s[tag=hasClock,tag=!hasCompass] run function sprint_racer:inventory_check/inventory_controls/display_navigator
#execute if entity @s[tag=!hasSign,tag=hasBWool] run function sprint_racer:inventory_check/inventory_controls/toggle_minimal_chat
execute if entity @s[tag=!hasBottle,tag=hasBWool] at @s run function sprint_racer_language:lobby/options/speedometer

clear @s[tag=!hasBWool] light_blue_wool{Tags:["invControl"]}
clear @s[tag=!hasPWool] pink_wool{Tags:["invControl"]}
clear @s[tag=!hasClock] clock{Tags:["invControl"]}
clear @s[tag=!hasCompass] compass{Tags:["invControl"]}
#clear @s[tag=!hasSign] birch_sign{Tags:["invControl"]}
#clear @s[tag=!hasSign] dark_oak_sign{Tags:["invControl"]}
clear @s[tag=!hasBottle] experience_bottle{Tags:["invControl"]}

tag @s[tag=hasBWool,tag=hasPWool,tag=hasBottle,tag=hasClock,tag=hasCompass] add hasControls
execute if entity @s[tag=!hasControls] run function sprint_racer_language:give_inventory_controls