scoreboard players add @e[tag=missile] age 1
execute as @e[tag=missile,tag=!homing] at @s run tp @s ^ ^ ^1.25
execute as @e[tag=missile,tag=!homing,tag=hurryUp] at @s run tp @s ^ ^ ^.25

#for homing missiles...
execute as @e[tag=missile,tag=homing] at @s run function sprint_racer:items/item_tick/missile_homing

#particle trail with short delay to avoid looking stupid on servers
execute as @e[tag=missileTrail,scores={lifespan=1}] at @s run particle minecraft:large_smoke ~ ~ ~ .05 .05 .05 .01 1 force
execute as @e[tag=fireballTrail,scores={lifespan=1}] at @s run particle minecraft:flame ~ ~ ~ .05 .05 .05 .01 1 force
execute as @e[tag=missile,tag=!homing,tag=!fireball] at @s run summon area_effect_cloud ~ ~1.6 ~ {Tags:["missileTrail","setPlife"],Particle:"dust",Duration:8}
execute as @e[tag=missile,tag=fireball] at @s run summon area_effect_cloud ~ ~1 ~ {Tags:["fireballTrail","setPlife"],Particle:"dust",Duration:8}
scoreboard players set @e[tag=setPlife] lifespan 4
tag @e[tag=setPlife] remove setPlife

#lost fireball? blow up immediately
execute as @e[tag=missile,tag=fireball] at @s unless entity @e[distance=..7,type=fireball] run function sprint_racer:items/item_tick/missile_explode

#fireballs make nearby players catch on fire
execute as @e[tag=missile,tag=fireball] at @s if entity @e[tag=activeplayer,distance=..4,scores={invisibility=..0}] run function sprint_racer:items/item_tick/fireball_check_player
execute as @e[tag=missile,tag=fireball] at @s run particle minecraft:flame ~ ~1 ~ 0.2 0.2 0.2 .1 8
execute as @e[tag=missile,tag=fireball] at @s run particle minecraft:flame ~ ~1 ~ 0.2 0.2 0.2 .1 2 force
execute as @e[tag=missile,tag=fireball] at @s run playsound minecraft:entity.generic.burn master @a ~ ~ ~ .35 .1

#execute as @e[tag=missile] at @s unless block ~ ~1.5 ~ air unless block ~ ~1.5 ~ water unless block ~ ~1.5 ~ structure_void run function sprint_racer:items/item_tick/missile_explode
execute as @e[tag=missile] at @s unless block ^ ^1.5 ^ #sprint_racer:missile_do_not_explode run function sprint_racer:items/item_tick/missile_explode
execute as @e[tag=missile] at @s unless block ^ ^1.5 ^.25 #sprint_racer:missile_do_not_explode run function sprint_racer:items/item_tick/missile_explode
#execute as @e[tag=missile,scores={age=10..}] at @s if entity @e[tag=playing,gamemode=!spectator,distance=..2,scores={invisibility=..0}] run function sprint_racer:items/item_tick/missile_explode
execute as @e[tag=missile,scores={age=2..}] at @s positioned ^ ^1.5 ^ if entity @e[tag=activeplayer,distance=..2,scores={invisibility=..0}] run function sprint_racer:items/item_tick/missile_check_player

kill @e[tag=missile,scores={age=75..}]